# VecRestoreArrayF90

Restores a vector to a usable state after a call to VecGetArrayF90().

### Synopsis

    VecRestoreArrayF90(Vec x,{Scalar, pointer :: xx_v(:)},integer ierr)

Not collective

### Input Parameters

| x | - vector
| xx_v | - the Fortran90 pointer to the array

### Output Parameter

ierr -error code

### Example of Usage

        PetscScalar, pointer :: xx_v(:)
        ....
        call VecGetArrayF90(x,xx_v,ierr)
        a = xx_v(3)
        call VecRestoreArrayF90(x,xx_v,ierr)

### Notes

Not yet supported for all F90 compilers

### See Also

VecGetArrayF90(), VecGetArray(), VecRestoreArray()

Level:beginner
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex4f90.F.html
src/snes/examples/tutorials/ex5f90.F.html